Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Branch: master
Fetching contributors…

Cannot retrieve contributors at this time

209 lines (199 sloc) 4.494 kB
sudo: false
language: c
matrix:
include:
- env: GHCVER=7.6.3 CABALVER=1.18 BACKEND=none
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.6.3
- cabal-install-1.18
- libzookeeper-mt-dev
- zookeeperd
- env: GHCVER=7.6.3 CABALVER=1.18 BACKEND=sqlite
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.6.3
- cabal-install-1.18
- env: GHCVER=7.6.3 CABALVER=1.18 BACKEND=zookeeper
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.6.3
- cabal-install-1.18
- libzookeeper-mt-dev
- zookeeperd
- env: GHCVER=7.6.3 CABALVER=1.18 BACKEND=mongodb
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.6.3
- cabal-install-1.18
services:
- mongodb
- env: GHCVER=7.6.3 CABALVER=1.18 BACKEND=postgresql
addons:
postgresql: "9.3"
apt:
sources:
- hvr-ghc
packages:
- ghc-7.6.3
- cabal-install-1.18
- env: GHCVER=7.6.3 CABALVER=1.18 BACKEND=mysql
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.6.3
- cabal-install-1.18
services:
- mysql
- env: GHCVER=7.8.4 CABALVER=1.18 BACKEND=none
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.8.4
- cabal-install-1.18
- libzookeeper-mt-dev
- zookeeperd
- env: GHCVER=7.8.4 CABALVER=1.18 BACKEND=sqlite
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.8.4
- cabal-install-1.18
- env: GHCVER=7.8.4 CABALVER=1.18 BACKEND=zookeeper
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.8.4
- cabal-install-1.18
- libzookeeper-mt-dev
- zookeeperd
- env: GHCVER=7.8.4 CABALVER=1.18 BACKEND=mongodb
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.8.4
- cabal-install-1.18
services:
- mongodb
- env: GHCVER=7.8.4 CABALVER=1.18 BACKEND=postgresql
addons:
postgresql: "9.3"
apt:
sources:
- hvr-ghc
packages:
- ghc-7.8.4
- cabal-install-1.18
- env: GHCVER=7.8.4 CABALVER=1.18 BACKEND=mysql
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.8.4
- cabal-install-1.18
services:
- mysql
- env: GHCVER=7.10.2 CABALVER=1.22 BACKEND=none
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.10.2
- cabal-install-1.22
- libzookeeper-mt-dev
- zookeeperd
- env: GHCVER=7.10.2 CABALVER=1.22 BACKEND=sqlite
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.10.2
- cabal-install-1.22
- env: GHCVER=7.10.2 CABALVER=1.22 BACKEND=zookeeper
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.10.2
- cabal-install-1.22
- libzookeeper-mt-dev
- zookeeperd
- env: GHCVER=7.10.2 CABALVER=1.22 BACKEND=mongodb
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.10.2
- cabal-install-1.22
services:
- mongodb
- env: GHCVER=7.10.2 CABALVER=1.22 BACKEND=postgresql
addons:
postgresql: "9.3"
apt:
sources:
- hvr-ghc
packages:
- ghc-7.10.2
- cabal-install-1.22
- env: GHCVER=7.10.2 CABALVER=1.22 BACKEND=mysql
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-7.10.2
- cabal-install-1.22
services:
- mysql
- env: GHCVER=head CABALVER=head BACKEND=none
addons:
apt:
sources:
- hvr-ghc
packages:
- ghc-head
- cabal-install-head
- libzookeeper-mt-dev
- zookeeperd
allow_failures:
- env: GHCVER=head CABALVER=head BACKEND=none
# See: https://github.com/yesodweb/persistent/issues/460
- env: GHCVER=7.6.3 CABALVER=1.18 BACKEND=sqlite
- env: GHCVER=7.6.3 CABALVER=1.18 BACKEND=zookeeper
- env: GHCVER=7.8.4 CABALVER=1.18 BACKEND=zookeeper
- env: GHCVER=7.10.2 CABALVER=1.22 BACKEND=zookeeper
before_install:
- travis_retry /opt/cabal/$CABALVER/bin/cabal update
script: travis/run.sh
cache:
directories:
- $HOME/.cabal
- $HOME/.ghc
Jump to Line
Something went wrong with that request. Please try again.